Last Comment Bug 666203 - Progress bars on Windows Classic need a padding
: Progress bars on Windows Classic need a padding
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Mounir Lamouri (:mounir)
:
:
Mentors:
Depends on: 661846
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 02:24 PDT by Mounir Lamouri (:mounir)
Modified: 2011-09-01 07:06 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Firefox progress bar (579 bytes, image/png)
2011-06-22 02:26 PDT, Mounir Lamouri (:mounir)
no flags Details
Progress bar in Security Essentials (4.31 KB, image/png)
2011-06-22 02:27 PDT, Mounir Lamouri (:mounir)
no flags Details
Progress bar during security update (7.26 KB, image/png)
2011-06-22 02:28 PDT, Mounir Lamouri (:mounir)
no flags Details
Add 1px padding for progress with the Classic theme (962 bytes, patch)
2011-06-22 05:16 PDT, Mounir Lamouri (:mounir)
jmathies: review+
mounir: checkin+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-06-22 02:24:45 PDT
It looks like GetWidgetPadding doesn't work for Windows Classic. We should probably write a ClassicGetWidgetPadding.
Comment 1 Mounir Lamouri (:mounir) 2011-06-22 02:26:53 PDT
Created attachment 540998 [details]
Firefox progress bar
Comment 2 Mounir Lamouri (:mounir) 2011-06-22 02:27:28 PDT
Created attachment 540999 [details]
Progress bar in Security Essentials
Comment 3 Mounir Lamouri (:mounir) 2011-06-22 02:28:00 PDT
Created attachment 541000 [details]
Progress bar during security update
Comment 4 Kai Liu 2011-06-22 03:26:09 PDT
Bug 661846 (currently awaiting checkin) will add a ClassicGetWidgetPadding function when it lands.
Comment 5 Mounir Lamouri (:mounir) 2011-06-22 03:38:44 PDT
(In reply to comment #4)
> Bug 661846 (currently awaiting checkin) will add a ClassicGetWidgetPadding
> function when it lands.

Awesome! I just pushed it to mozilla-inbound. That should make this bug a 3 line-patch ;)
Comment 6 Mounir Lamouri (:mounir) 2011-06-22 05:16:32 PDT
Created attachment 541019 [details] [diff] [review]
Add 1px padding for progress with the Classic theme
Comment 7 Mounir Lamouri (:mounir) 2011-06-23 02:27:11 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/311835bfec30
Comment 8 Valerio 2011-06-24 09:15:21 PDT
Mounir, can you take a look at Bug 661375? I think it requires a similar patch
Comment 9 Vlad [QA] 2011-09-01 07:06:35 PDT
Hi guys.
Can you attach a testcase in order to verify this. 
Thanks.

Note You need to log in before you can comment on or make changes to this bug.